Name:           tetzle
Version:        3.0.2
Release:        %mkrel 1
Summary:        Jigsaw puzzle with tetromino pieces
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://gottcode.org/tetzle/
Source0:        https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Linguist)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Widgets)

%description
A jigsaw puzzle game that uses tetrominoes for the pieces.
Any image can be imported and used to create puzzles with
a wide range of sizes. Games are saved automatically, and
you can select between currently in progress games.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 3.0.2-1.mga10
+ Revision: 2152141
- new version: 3.0.2

* Tue Jan 21 2025 daviddavid <daviddavid> 3.0.1-1.mga10
+ Revision: 2140149
- new version: 3.0.1

* Sat Sep 14 2024 daviddavid <daviddavid> 3.0.0-1.mga10
+ Revision: 2096084
- new version: 3.0.0

* Sun Jan 21 2024 daviddavid <daviddavid> 2.2.3-1.mga10
+ Revision: 2033234
- new version: 2.2.3

* Thu Jan 12 2023 daviddavid <daviddavid> 2.2.2-1.mga9
+ Revision: 1932439
- new version: 2.2.2

* Fri Sep 30 2022 neoclust <neoclust> 2.2.1-1.mga9
+ Revision: 1893511
- New version 2.2.1
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 2.1.6-3.mga9
+ Revision: 1842239
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.1.6-2.mga8
+ Revision: 1660016
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 2.1.6-1.mga8
+ Revision: 1570391
- new version: 2.1.6

* Sat Feb 15 2020 umeabot <umeabot> 2.1.5-2.mga8
+ Revision: 1528355
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 2.1.5-1.mga8
+ Revision: 1430157
- new version: 2.1.5

* Tue Apr 02 2019 umeabot <umeabot> 2.1.4-2.mga7
+ Revision: 1385052
- Qt5 Rebuild

* Mon Mar 25 2019 daviddavid <daviddavid> 2.1.4-1.mga7
+ Revision: 1380169
- new version: 2.1.4

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1301387
- Mageia 7 Mass Rebuild

* Wed May 30 2018 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1233024
- new version: 2.1.3

* Sun Apr 29 2018 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1223569
- new version: 2.1.2

* Sun Dec 10 2017 wally <wally> 2.1.1-1.mga7
+ Revision: 1181915
- new version 2.1.1

* Sat Jun 03 2017 vaci0 <vaci0> 2.1.0-1.mga6
+ Revision: 1105922
- Update to new version 2.1.0

* Mon Feb 01 2016 umeabot <umeabot> 2.0.3-4.mga6
+ Revision: 930430
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-3.mga5
+ Revision: 744968
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 689841
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 2.0.3-1.mga5
+ Revision: 585489
- new version 2.0.3
- use desktop file from upstream

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 519600
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-3.mga3
+ Revision: 384416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 25 2012 juancho <juancho> 2.0.1-2.mga3
+ Revision: 274161
- Changed qmake call for %%qmake_qt4 macro.
- Removed obsolete defattr call in %%files
- Simplified icon installation with one line for all icons in %%files.
+ vaci0 <vaci0>
- Update version to 2.0.1

* Wed May 30 2012 juancho <juancho> 2.0.0-3.mga3
+ Revision: 251771
- Removed white space from desktop file entries.
- Removed unneeded g++ BR
+ vaci0 <vaci0>
- imported package tetzle

